Ubuntu i Sagem F@st800/840 problem

1

Ubuntu i Sagem F@st800/840 problem

offline
  • Pridružio: 07 Avg 2006
  • Poruke: 1182
  • Gde živiš: Fili Davydkovo, Moscow, Russia

uradio sam skoro sve kao sto je ovde receno, ali konekcije nema

https://help.ubuntu.com/community/UsbAdslModem/ueagle-atm


gde naci <VP> i <VC> brojeve, i zapravo sta su oni?

kada kazu: user "<your username>" , da li se misli na "efefewf" ili samo efefewf

Dopuna: 14 Jun 2007 22:19

8.35 je ono sto treba(VP.VC), cisto ako nekome takodje zatreba, za verata..

mislio sam da ce ovo resiti stvar, ali nije...



Registruj se da bi učestvovao u diskusiji. Registrovanim korisnicima se NE prikazuju reklame unutar poruka.
offline
  • Pridružio: 29 Mar 2006
  • Poruke: 2215
  • Gde živiš: in the heart of the city

A da li ti uopšte radi modem?
Ja sam koristila ovo uputstvo, (a vidim da je to u principu to):
http://ubuntu-rs.org/wiki/Sagem_F%40st_800
ali mi modem uopšte ne funkcioniše (lampice ne svetle). Confused



offline
  • bocke  Male
  • Moderator foruma
  • Glavni moderator Linux foruma
  • Veliki Pingvin
  • Guru
  • Pridružio: 16 Dec 2005
  • Poruke: 12351
  • Gde živiš: Južni pol

@milan27: Uporedi to uputstvo sa onim na linku koji je postavila neprilagodjena. Da li se razlikuju? Ako se razlikuju, u cemu se razlikuju? Mislim da je ono sa Ubuntu RS wikija dosta dobro opisano.

@neprilagodjena:
Da li je u toku instalacije bilo koja od onih komandi javljala neku gresku ili je sve proslo ok?

Koji je output sledecih komandi:

cat /etc/rc5.d/S99rc.local

sudo ifconfig

dmesg | grep ueagle-atm

lsmod

To ce pruziti dovoljno informacija za lociranje problema. Ako nije u tome onda je u parametrima konekcije.

offline
  • Pridružio: 29 Mar 2006
  • Poruke: 2215
  • Gde živiš: in the heart of the city

Pa... Nije bilo velikih problema i mislim da mi nije izbacivao nikakvu grešku, osim što nisam mogla da raspakujem ueagle-data paket desnim klikom već samo preko terminala. Nakon toga sam instalirala ova druga dva paketa i tu sam stala (daleko sam i stigla Very Happy ). Po uputstvu, sledeće što treba da uradim je da pokrenem modul ueagle-atm, ali, kada ukucam komandu sudo modprobe ueagle-atm lampice mi se ne pale, kako bi trebalo. Tako da, nisam ni stigla do podešavanja konekcije, što znači da parametri nisu problem. Krećem na spavanje pa ne mogu sad da šetam iz OS-a u OS, a i nemam kod sebe usb, što mnogo komplikuje situaciju. Pogledaću sutra.

offline
  • Pridružio: 07 Avg 2006
  • Poruke: 1182
  • Gde živiš: Fili Davydkovo, Moscow, Russia

pa meni svetle lampice, ali sam primetio da kad god udjem u sistem, moram da izstekam usb, i da ga vratim nazad...

offline
  • Pridružio: 29 Mar 2006
  • Poruke: 2215
  • Gde živiš: in the heart of the city

Aha... Aj probaću i to sutra.

offline
  • Pridružio: 07 Avg 2006
  • Poruke: 1182
  • Gde živiš: Fili Davydkovo, Moscow, Russia

kada radim po ovom drugom uputstvu i dodjem do
sudo modprobe ueagle-atm
ne svetle, ali to je sve bilo odradjeno i u prethodnom, gde se kaze izvuci modem, sacekati malo i ponovo prikljuciti, posle toga meni lampice svetle, konstantno, sledeci korak
dmesg |grep  ueagle-atm
ne dobijam takav izlaz, modem operetional, vec neka 2 reda, bez prijavljenih gresaka...krenem dalje do kreiranja intrfejsa, i izbaci prva dva reda ok, , na trecem gde treba da pise interface configured, meni izbaci fatal: failed to connect on socket

offline
  • Pridružio: 29 Mar 2006
  • Poruke: 2215
  • Gde živiš: in the heart of the city

Evo outputa:
jox@jox-desktop:~$ cat /etc/rc5.d/S99rc.local
#! /bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions

do_start() {
        if [ -x /etc/rc.local ]; then
                log_begin_msg "Running local boot scripts (/etc/rc.local)"
                /etc/rc.local
                log_end_msg $?
        fi
}

case "$1" in
    start)
        do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac


jox@jox-desktop:~$ sudo ifconfig
Password:
eth0      Link encap:Ethernet  HWaddr 00:11:2F:40:81:54 
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:17 Base address:0xa400

eth0:avah Link encap:Ethernet  HWaddr 00:11:2F:40:81:54 
          inet addr:169.254.4.216  Bcast:169.254.255.255  Mask:255.255.0.0
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          Interrupt:17 Base address:0xa400

lo        Link encap:Local Loopback 
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:18 errors:0 dropped:0 overruns:0 frame:0
          TX packets:18 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:1332 (1.3 KiB)  TX bytes:1332 (1.3 KiB)


jox@jox-desktop:~$ dmesg | grep ueagle-atm
[  220.919415] [ueagle-atm] driver ueagle 1.4 loaded
[  220.920062] usbcore: registered new interface driver ueagle-atm


jox@jox-desktop:~$ lsmod
Module                  Size  Used by
nls_iso8859_1           5120  1
nls_cp437               6784  1
vfat                   14208  1
fat                    53916  1 vfat
ipv6                  268704  8
binfmt_misc            12680  1
rfcomm                 40856  0
l2cap                  25728  5 rfcomm
bluetooth              55908  4 rfcomm,l2cap
ppdev                  10116  0
radeon                124576  2
drm                    81044  3 radeon
cpufreq_userspace       5408  0
cpufreq_powersave       2688  0
cpufreq_conservative     8200  0
cpufreq_stats           7360  0
cpufreq_ondemand        9228  0
freq_table              5792  2 cpufreq_stats,cpufreq_ondemand
tc1100_wmi              8068  0
pcc_acpi               13184  0
dev_acpi               12292  0
sony_acpi               6284  0
sbs                    15652  0
battery                10756  0
container               5248  0
asus_acpi              17308  0
dock                   10268  0
i2c_ec                  5888  1 sbs
backlight               7040  1 asus_acpi
button                  8720  0
video                  16388  0
ac                      6020  0
nls_utf8                3072  2
ntfs                  107764  2
lp                     12452  0
fuse                   46612  0
gspca                 607824  0
sg                     36252  0
sd_mod                 23428  2
sn9c102                90892  0
snd_via82xx            29208  1
snd_ac97_codec         98336  1 snd_via82xx
ac97_bus                3200  1 snd_ac97_codec
snd_pcm_oss            44544  0
snd_mixer_oss          17408  1 snd_pcm_oss
snd_pcm                79876  3 snd_via82xx,snd_ac97_codec,snd_pcm_oss
snd_page_alloc         10888  2 snd_via82xx,snd_pcm
snd_mpu401_uart         9472  1 snd_via82xx
snd_seq_dummy           4740  0
snd_seq_oss            32896  0
videodev               28160  2 gspca,sn9c102
v4l1_compat            15236  1 videodev
v4l2_common            25216  2 sn9c102,videodev
parport_pc             36388  1
snd_seq_midi            9600  0
snd_rawmidi            25472  2 snd_mpu401_uart,snd_seq_midi
snd_seq_midi_event      8448  2 snd_seq_oss,snd_seq_midi
parport                36936  3 ppdev,lp,parport_pc
analog                 12832  0
gameport               16520  2 snd_via82xx,analog
psmouse                38920  0
pcspkr                  4224  0
i2c_viapro             10132  0
i2c_core               22784  2 i2c_ec,i2c_viapro
snd_seq                52592  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
via_ircc               27540  0
snd_timer              23684  2 snd_pcm,snd_seq
snd_seq_device          9100  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
irda                  201276  1 via_ircc
snd                    54020  13 snd_via82xx,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_mpu401_uart,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore               8672  1 snd
serio_raw               7940  0
via_agp                11264  1
agpgart                35400  2 drm,via_agp
shpchp                 34324  0
pci_hotplug            32576  1 shpchp
crc_ccitt               3072  1 irda
af_packet              23816  4
tsdev                   8768  0
evdev                  11008  3
ext3                  133128  1
jbd                    59816  1 ext3
mbcache                 9604  1 ext3
ide_cd                 32672  0
cdrom                  37664  1 ide_cd
ide_disk               17024  5
generic                 5124  0 [permanent]
usb_storage            72256  1
libusual               17936  1 usb_storage
via82cxxx              10372  0 [permanent]
floppy                 59524  0
via_rhine              25608  0
mii                     6528  1 via_rhine
ata_generic             9092  0
libata                125720  1 ata_generic
scsi_mod              142348  4 sg,sd_mod,usb_storage,libata
ehci_hcd               34188  0
uhci_hcd               25360  0
usbcore               134280  7 gspca,sn9c102,usb_storage,libusual,ehci_hcd,uhci_hcd
thermal                14856  0
processor              31048  1 thermal
fan                     5636  0
fbcon                  42656  0
tileblit                3584  1 fbcon
font                    9216  1 fbcon
bitblit                 6912  1 fbcon
softcursor              3200  1 bitblit
vesafb                  9220  0
capability              5896  0
commoncap               8192  1 capability

@milan27
Isti slučaj...

offline
  • Pridružio: 07 Avg 2006
  • Poruke: 1182
  • Gde živiš: Fili Davydkovo, Moscow, Russia

samo da napomenem da se radi o amd64 verziji sistema..

Dopuna: 16 Jun 2007 15:43

cat /etc/rc5.d/S99rc.local



#! /bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions

do_start() {
if [ -x /etc/rc.local ]; then
log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
log_end_msg $?
fi
}

case "$1" in
start)
do_start
;;
restart|reload|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
stop)
;;
*)
echo "Usage: $0 start|stop" >&2
exit 3
;;
esac




lsmod


Module Size Used by
pppoe 17664 0
pppox 5264 1 pppoe
br2684 11016 0
pppoatm 7424 0
ppp_generic 32672 3 pppoe,pppox,pppoatm
slhc 8320 1 ppp_generic
ueagle_atm 30656 0
usbatm 21888 1 ueagle_atm
ipv6 307072 14
binfmt_misc 14604 1
rfcomm 45352 0
l2cap 28160 5 rfcomm
bluetooth 62340 4 rfcomm,l2cap
ppdev 11272 0
cpufreq_userspace 6176 0
cpufreq_stats 8416 0
cpufreq_powersave 3072 0
cpufreq_ondemand 10640 0
freq_table 6336 2 cpufreq_stats,cpufreq_ondemand
cpufreq_conservative 9736 0
tc1100_wmi 9224 0
sony_acpi 7064 0
pcc_acpi 15616 0
dev_acpi 17028 0
video 19080 0
sbs 17856 0
i2c_ec 6784 1 sbs
dock 11992 0
container 6144 0
button 10016 0
battery 12040 0
asus_acpi 19756 0
backlight 8448 1 asus_acpi
ac 6920 0
nls_utf8 3456 3
ntfs 101960 3
lp 15048 0
fuse 51888 0
zc0301 52484 0
snd_hda_intel 24224 1
snd_hda_codec 262912 1 snd_hda_intel
snd_pcm_oss 49536 0
snd_mixer_oss 19840 1 snd_pcm_oss
snd_pcm 92808 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_dummy 5380 0
snd_seq_oss 36608 0
snd_seq_midi 11008 0
snd_seq_midi_event 9856 2 snd_seq_oss,snd_seq_midi
gspca 616272 0
snd_mpu401 11560 0
snd_mpu401_uart 10752 1 snd_mpu401
irtty_sir 10752 0
sir_dev 19336 1 irtty_sir
sg 40616 0
usblp 16768 0
irda 217708 2 irtty_sir,sir_dev
snd_rawmidi 29696 2 snd_seq_midi,snd_mpu401_uart
usbvision 82876 0
snd_seq 61856 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 26632 2 snd_pcm,snd_seq
snd_seq_device 10260 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
crc_ccitt 3456 1 irda
videodev 29824 3 zc0301,gspca,usbvision
v4l2_common 28800 3 zc0301,usbvision,videodev
v4l1_compat 14980 1 videodev
sd_mod 25092 2
parport_pc 40104 1
parport 43404 3 ppdev,lp,parport_pc
psmouse 43536 0
serio_raw 9092 0
pcspkr 4736 0
snd 68904 14 snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_mpu401,snd_mpu401_uart,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore 10272 1 snd
snd_page_alloc 11792 2 snd_hda_intel,snd_pcm
i2c_viapro 11544 0
i2c_core 26624 3 i2c_ec,usbvision,i2c_viapro
shpchp 37404 0
pci_hotplug 36228 1 shpchp
via_agp 13056 1
af_packet 27020 0
evdev 13056 3
tsdev 10112 0
ext2 72464 1
mbcache 11400 1 ext2
ide_cd 35104 1
cdrom 40744 1 ide_cd
ide_disk 18304 5
sata_via 14596 1
ata_generic 10628 0
ehci_hcd 37004 0
via82cxxx 11012 0 [permanent]
libata 137000 2 sata_via,ata_generic
uhci_hcd 28320 0
via_rhine 28168 0
mii 7424 1 via_rhine
scsi_mod 166968 3 sg,sd_mod,libata
generic 6532 0 [permanent]
usbcore 154416 9 ueagle_atm,usbatm,zc0301,gspca,usblp,usbvision,ehci_hcd,uhci_hcd
thermal 16912 0
processor 34952 1 thermal
fan 6536 0
fbcon 44416 0
tileblit 4096 1 fbcon
font 9856 1 fbcon
bitblit 7296 1 fbcon
softcursor 3712 1 bitblit
vesafb 10376 0
cfbcopyarea 5120 1 vesafb
cfbimgblt 4096 1 vesafb
cfbfillrect 5632 1 vesafb
capability 7048 0
commoncap 9472 1 capability




ifconfig

eth0 Link encap:Ethernet HWaddr 00:19:66:10:8D:CE
UP BROADCAST MULTICAST MTU:1500 Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:1000
RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)
Interrupt:23 Base address:0xe800

lo Link encap:Local Loopback
inet addr:127.0.0.1 Mask:255.0.0.0
inet6 addr: ::1/128 Scope:Host
UP LOOPBACK RUNNING MTU:16436 Metric:1
RX packets:250 errors:0 dropped:0 overruns:0 frame:0
TX packets:250 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:0
RX bytes:18628 (18.1 KiB) TX bytes:18628 (18.1 KiB)

nas0 Link encap:Ethernet HWaddr 00:00:00:00:00:00
inet6 addr: fe80::200:ff:fe00:0/64 Scope:Link
UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:24 dropped:0 overruns:0 carrier:24
collisions:0 txqueuelen:1000
RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)

Dopuna: 16 Jun 2007 18:26

mislim da je jedan od mogucih problema (ispravite me ako gresim) to sto nemam instaliranu dvd verziju istog

offline
  • bocke  Male
  • Moderator foruma
  • Glavni moderator Linux foruma
  • Veliki Pingvin
  • Guru
  • Pridružio: 16 Dec 2005
  • Poruke: 12351
  • Gde živiš: Južni pol

@Milan:
Kod tebe je veza uspostavljena. Znaci, u pitanju su samo parametri konekcije.

Probaj ove parametre:

vp=8 vc=35

username je bez navodnika.

Javi sta si uradio.

@neprilagodjena:

neprilagodjena ::Po uputstvu, sledeće što treba da uradim je da pokrenem modul ueagle-atm, ali, kada ukucam komandu sudo modprobe ueagle-atm lampice mi se ne pale, kako bi trebalo.

Da li se odradila korake posle toga? Pre svega:

sudo modprobe br2684
sudo depmod -a


i nakon toga:
sudo br2684ctl -c 0 -b -a 8.35

Da li ova druga komanda ima output slican ovome:

Citat:br2684ctl[18144]: Interface "nas0" created sucessfully
br2684ctl[18144]: Communicating over ATM 0.8.35, encapsulation: LLC
br2684ctl[18144]: Interface configured


Ako to uspe, tek tada u stvari startujes vezu komandom:
sudo ifconfig nas0 up

i napokon je podesavas sa:
pppoeconfig

Kod tebe veza nije pokrenuta. Komanda ifconfig bez parametra nam govori da nas0 nije u listi konekcija (pogledaj koji je output kod milana. kod njega nas0 postoji). znaci probaj i ove dodatne korake (ako vec nisi), pa javi sta si uradila.

Dopuna: 16 Jun 2007 21:02

@milan: nema to veze da li je u pitanju dvd ili cd verzija.

@oboje: izvinjavam se na malom kasnjenju, bio sam u nekoj frci ovih dana.

Ko je trenutno na forumu
 

Ukupno su 664 korisnika na forumu :: 23 registrovanih, 5 sakrivenih i 636 gosta   ::   [ Administrator ] [ Supermoderator ] [ Moderator ] :: Detaljnije

Najviše korisnika na forumu ikad bilo je 3466 - dana 01 Jun 2021 17:07

Korisnici koji su trenutno na forumu:
Korisnici trenutno na forumu: _Petar, A.R.Chafee.Jr., Andrija357, Bogoslov, darios, darkangel, djboj, Doca, kaisarevic1, kovac9mm, Lošmi, madza, moldway, MrNo, mrvica78, nebkv, nuke92, Oluj2.1, ozzy, Srle993, VJ, Vlada78, vranjanac29